# grid-default-filtering

> Data grid with dropdown-driven Excel filter plus toggleable filter-bar operator checkbox.

**Framework:** javascript  **Component:** Grid  **Variant:** default-filtering

## Get this item

**If you are an agent, fetch the JSON.** Source is inlined, so one request is enough and no tooling is required:

```
GET https://ai.syncfusion.com/r/javascript/grid-default-filtering.json
```

**Install Package(s)**

```bash
npm install @syncfusion/ej2-grids
```

**Notes**

- Syncfusion release: 2026 Volume 2 (v34.1.29)
- The Syncfusion package is licensed. The composition in this file is source you own and edit. See https://ai.syncfusion.com/licensing.md

## Source files

### src/components/grid-default-filtering/default-filtering.html

```html
<div class="col-lg-9 control-section">
    <div class="content-wrapper">
        <div id="Grid">
        </div>
    </div>
</div>

<div class="col-lg-3 property-section">
    <table id="property" title="Properties" style="width: 100%">
        <tr>
            <td style="width: 70%">
                <div>Enable Filterbar Operator</div>
            </td>
            <td style="width: 30%;padding:10px 10px 10px 0px">
                <div>
                    <input type="checkbox" tabindex="0" id='filterBarOperator' aria-label="Enable Filterbar Operator"/>
                </div>
            </td>
        </tr>
    </table>
</div>

```

### src/components/grid-default-filtering/default-filtering.ts

```typescript
import { Grid, Filter, Page, Selection, Sort } from '@syncfusion/ej2-grids';
import { categoryData } from '../data-source';
import { CheckBox } from '@syncfusion/ej2-buttons';

Grid.Inject(Filter, Page, Selection, Sort);

/**
 * Filtering sample
 */
(window as any).default = (): void => {
    let grid: Grid = new Grid(
        {
            dataSource: categoryData,
            allowPaging: true,
            allowFiltering: true,
            allowSorting: true,
            columns: [
                { field: 'CategoryName', headerText: 'Category Name', width: 150 },
                { field: 'ProductName', headerText: 'Product Name', width: 150 },
                { field: 'UnitsInStock', headerText: 'Units In Stock', width: 150, textAlign: 'Right' },
                {
                    field: 'Discontinued', headerText: 'Discontinued', width: 150,
                    textAlign: 'Center', displayAsCheckBox: true, type: 'boolean'
                }
            ],
            pageSettings: { pageCount: 5 }
        });
    grid.appendTo('#Grid');

    let filterbarOperator: CheckBox = new CheckBox();
    filterbarOperator.appendTo('#filterBarOperator');

    document.getElementById('filterBarOperator')!.onclick = () => {
        if (filterbarOperator.checked) {
            grid.filterSettings.showFilterBarOperator = true;
        } else {
            grid.filterSettings.showFilterBarOperator = false;
        }
        grid.clearFiltering();
    };
};

```


# grid-default-filtering

> Data grid filters records with a category dropdown and a filterbar-operator toggle.

**Framework:** vue  **Component:** Grid  **Variant:** default-filtering

## Get this item

**If you are an agent, fetch the JSON.** Source is inlined, so one request is enough and no tooling is required:

```
GET https://ai.syncfusion.com/r/vue/grid-default-filtering.json
```

**Install Package(s)**

```bash
npm install @syncfusion/ej2-vue-buttons @syncfusion/ej2-vue-dropdowns @syncfusion/ej2-vue-grids
```

**Notes**

- Syncfusion release: 2026 Volume 2 (v34.1.29)
- The Syncfusion package is licensed. The composition in this file is source you own and edit. See https://ai.syncfusion.com/licensing.md

## Source files

### src/components/grid-default-filtering/Grid.vue

```vue
<template>
<div>
<div class="col-lg-9 control-section">
    <div>
        <div class="select-wrap" style="width: fit-content">
            <ejs-dropdownlist id='ddlelement' :dataSource='ddldata' placeholder='Select category to filter' :change="onChange"></ejs-dropdownlist>
        </div>

        <ejs-grid ref='grid' :dataSource="data" :allowPaging='true' :allowSorting='true' :allowFiltering='true' :pageSettings="pageOptions">
            <e-columns>
                <e-column field='CategoryName' headerText='Category Name' width='150'></e-column>
                <e-column field='ProductName' headerText='Product Name' width='150'></e-column>
                <e-column field='UnitsInStock' headerText='Units In Stock' width='150' textAlign='Right'></e-column>
                <e-column field='Discontinued' headerText='Discontinued' width='150' textAlign='Center' displayAsCheckBox='true' type='boolean'></e-column>
            </e-columns>
        </ejs-grid>
    </div>

</div>

<div class="col-lg-3 property-section">
    <table id="property" title="Properties" style="width: 100%">
        <tr>
            <div class="checkbox-control" style="padding-left: 0px">
                <div class="row" style="padding-left: 5px">
                    <ejs-checkbox label='Enable Filterbar Operator' labelPosition='Before' :change="filterbaroperator"></ejs-checkbox>
                 </div>
            </div>
        </tr>
    </table>
</div>
</div>
</template>
<script lang="ts">
import { GridComponent, ColumnDirective, ColumnsDirective, Filter, Page, Sort } from "@syncfusion/ej2-vue-grids";
import { DropDownListComponent} from "@syncfusion/ej2-vue-dropdowns";
import { CheckBoxComponent } from "@syncfusion/ej2-vue-buttons";

const categoryData = [
    {
        "CategoryName": "Beverages",
        'ProductID': 1,
        'ProductName': 'Chai',
        'SupplierID': 1,
        'QuantityPerUnit': '10 boxes x 20 bags',
        'UnitPrice': 18.00,
        'UnitsInStock': 39,
        'Discontinued': true
    },
    {
        "CategoryName": "Beverages",
        'ProductID': 2,
        'ProductName': 'Chang',
        'SupplierID': 1,
        'QuantityPerUnit': '24 - 12 oz bottles',
        'UnitPrice': 19.00,
        'UnitsInStock': 17,
        'Discontinued': true
    },
    {
        "CategoryName": "Beverages",
        'ProductID': 3,
        'ProductName': 'Aniseed Syrup',
        'SupplierID': 1,
        'QuantityPerUnit': '12 - 550 ml bottles',
        'UnitPrice': 10.00,
        'UnitsInStock': 13,
        'Discontinued': true
    },
    {
        "CategoryName": "Beverages",
        'ProductID': 4,
        'ProductName': 'Chef Anton\'s Cajun Seasoning',
        'SupplierID': 2,
        'QuantityPerUnit': '48 - 6 oz jars',
        'UnitPrice': 22.00,
        'UnitsInStock': 53,
        'Discontinued': true
    },
    {
        "CategoryName": "Beverages",
        'ProductID': 5,
        'ProductName': 'Chef Anton\'s Gumbo Mix',
        'SupplierID': 2,
        'QuantityPerUnit': '36 boxes',
        'UnitPrice': 21.35,
        'UnitsInStock': 0,
        'Discontinued': true
    },
    {
        "CategoryName": "Beverages",
        'ProductID': 6,
        'ProductName': 'Grandma\'s Boysenberry Spread',
        'SupplierID': 3,
        'QuantityPerUnit': '12 - 8 oz jars',
        'UnitPrice': 25.00,
        'UnitsInStock': 120,
        'Discontinued': false
    },
    {
        "CategoryName": "Beverages",
        'ProductID': 7,
        'ProductName': 'Uncle Bob\'s Organic Dried Pears',
        'SupplierID': 3,
        'QuantityPerUnit': '12 - 1 lb pkgs.',
        'UnitPrice': 30.00,
        'UnitsInStock': 15,
        'Discontinued': false
    },
    {
        "CategoryName": "Beverages",
        'ProductID': 8,
        'ProductName': 'Northwoods Cranberry Sauce',
        'SupplierID': 3,
        'QuantityPerUnit': '12 - 12 oz jars',
        'UnitPrice': 40.00,
        'UnitsInStock': 6,
        'Discontinued': false
    }
];

export default {
  components: {
    'ejs-grid': GridComponent,
    'e-column': ColumnDirective,
    'e-columns': ColumnsDirective,
    'ejs-dropdownlist': DropDownListComponent,
    'ejs-checkbox': CheckBoxComponent
  },
  data: () => {
    return {
      data: categoryData,
      pageOptions: { pageSize: 10, pageCount: 5 },
      ddldata: ['All', 'Beverages', 'Condiments', 'Confections', 'Dairy Products', 'Grains/Cereals',
            'Meat/Poultry', 'Produce', 'Seafood']
    };
  },
  methods: {
      onChange: function(e: ChangeEventArgs): void {
        if (e.value === 'All') {
            ((this as any).$refs.grid).clearFiltering();
        } else {
            ((this as any).$refs.grid).filterByColumn('CategoryName', 'equal', e.value);
        }
    },
    filterbaroperator: function(args: any): void {
        let grid = (document.getElementsByClassName('e-grid')[0] as any).ej2_instances[0]
            if (args.checked) {
                 grid.filterSettings.showFilterBarOperator = true;
            } else {
                grid.filterSettings.showFilterBarOperator = false;
      }
    }
  },
  provide: {
      grid: [Filter, Page, Sort]
  }
}
</script>
```

### src/components/grid-default-filtering/GridView.vue

```vue
<template>
  <Grid />
</template>

<script setup>
import Grid from '../../components/Grid.vue'
</script>
```


# grid-default-filtering

> Data grid bound to a category list with a dropdown-driven filter and toggleable filter-bar operator.

**Framework:** angular  **Component:** Grid  **Variant:** default-filtering

## Get this item

**If you are an agent, fetch the JSON.** Source is inlined, so one request is enough and no tooling is required:

```
GET https://ai.syncfusion.com/r/angular/grid-default-filtering.json
```

**Install Package(s)**

```bash
npm install @syncfusion/ej2-angular-grids
```

**Notes**

- Syncfusion release: 2026 Volume 2 (v34.1.29)
- The Syncfusion package is licensed. The composition in this file is source you own and edit. See https://ai.syncfusion.com/licensing.md

## Source files

### src/components/grid-default-filtering/filter.style.css

```css
.select-wrap {
    padding: 0 0 10px 0;
    font-family: Roboto;
    padding: 1em;
    display: inline-block;
}

.select-wrap .e-ddl.e-input-group .e-ddl-hidden {
    width: 0;
}

.select-wrap select {
    height: 28px;
    width: 100%;
    border-width: 0 0 2px 0;
    background: transparent;
}

.select-wrap select:focus {
    border-bottom-style: solid;
    border-color: #ff4081;
}

.select-wrap select,
.select-wrap select option {
    outline: none;
    font-size: 14px;
    padding: .2em;
    height: 30px;
}

@media (min-width: 480px) and (max-width:639px) {
    .select-wrap {
        width: 40%
    }
}

@media (min-width:640px) {
    .select-wrap {
        width: 25%
    }
}

```

### src/components/grid-default-filtering/filtering.component.ts

```typescript
import { Component, OnInit, ViewChild, Inject } from '@angular/core';
import { categoryData } from '../data';
import { ChangeEventArgs } from '@syncfusion/ej2-dropdowns';
import { FilterService, SortService, GridComponent, GridModule, PageService } from '@syncfusion/ej2-angular-grids';
import { CheckBoxComponent, CheckBoxModule } from '@syncfusion/ej2-angular-buttons';
import { DropDownListModule } from '@syncfusion/ej2-angular-dropdowns';

@Component({
    selector: 'ej2-gridfilter',
    templateUrl: 'filtering.html',
    styleUrls: ['filter.style.css'],
    providers: [FilterService, SortService, PageService],
    standalone: true,
    imports: [DropDownListModule, GridModule,  CheckBoxModule]
})
export class FilterComponent implements OnInit {
    public data!: Object[];
    public ddldata!: Object[];
    public pageOptions!: Object;
    public category!: string[];

    @ViewChild('grid')
    public grid!: GridComponent;
    @ViewChild('checkbox')
    public checkbox!: CheckBoxComponent;

    public ngOnInit(): void {
        this.data = categoryData;
        this.pageOptions = { pageSize: 10, pageCount: 5 };
        this.category = ['All', 'Beverages', 'Condiments', 'Confections', 'Dairy Products', 'Grains/Cereals',
            'Meat/Poultry', 'Produce', 'Seafood'];
        this.ddldata = this.category;
    }

    public onChange(e: ChangeEventArgs): void {
        if (e.value === 'All') {
            this.grid.clearFiltering();
        } else {
            this.grid.filterByColumn('CategoryName', 'equal', e.value as any);
        }
    }

    public checkboxChange(e: any): void {
        if (e.checked) {
            this.grid.filterSettings.showFilterBarOperator = true;
        } else {
            this.grid.filterSettings.showFilterBarOperator = false;
        }
    }
}
```

### src/components/grid-default-filtering/filtering.html

```html
<div class="col-lg-9 control-section">
    <div class="select-wrap">
        <ejs-dropdownlist id='ddlelement' [dataSource]='ddldata' placeholder = 'Select category to filter' (change)="onChange($event)"></ejs-dropdownlist>
    </div>
    <ejs-grid #grid [dataSource]='data' allowPaging='true' allowSorting='true' allowFiltering='true' [pageSettings]="pageOptions">
        <e-columns>
            <e-column field='CategoryName' headerText='Category Name' width='150'></e-column>
            <e-column field='ProductName' headerText='Product Name' width='150'></e-column>
            <e-column field='UnitsInStock' headerText='Units In Stock' width='150' textAlign='Right'></e-column>
            <e-column field='Discontinued' headerText='Discontinued' width='150' textAlign='Center' displayAsCheckBox='true' type='boolean'></e-column>
        </e-columns>
    </ejs-grid>
</div>
<div class="col-lg-3 property-section">
    <div class="property-panel-section">
        <div class="property-panel-header">Properties</div>
        <div class="property-panel-content">
            <table id="property" title="Properties" class="property-panel-table" style="width: 100%">
                <tr>
                    <div class="checkbox-control" style="padding-left: 5px">
                        <div class="row">
                            <ejs-checkbox label="Enable Filterbar Operator" labelPosition='Before' [checked]="false"
                                (change)="checkboxChange($event)"></ejs-checkbox>
                        </div>
                    </div>
                </tr>
            </table>
        </div>
    </div>
</div>

```
